package annotation

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var ServiceAnnotationType = reflect.TypeOf((*ServiceAnnotation)(nil))

func init() {
	if err := annotation.Register(ServiceAnnotationType); nil != err {
		panic(err)
	}
}

type ServiceAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@web:Service"`

	Name string `json:"name"`
}
